Subject: Re: linux-next: manual merge of the tip tree with the arm tree

From: Russell King - ARM Linux <[email-masked]>
Date: Fri, 13 May 2011 18:25:09 +0100

On Fri, May 13, 2011 at 11:26:46AM +0200, Ingo Molnar wrote:
> Also note that there's also some pending changes in the x86 tree modifying
> arch/x86/kernel/i8253.c:
> 
>   b01cc1b0eae0: x86: Convert remaining x86 clocksources to clocksource_register_hz/khz
> 
> If you want to do any further change to this file you need to pull in this 
> change first or need to resolve the conflict in some other way.

I have been told by Linus on more than one occasion that Linus wants to
see exactly these kinds of merge conflicts, as it helps him track what's
going on.

He's made that point again recently during discussions with the ARM
community, and he's gone further to explicitly state that he does _not_
want these kinds of merge conflicts to be hidden from him.

So I really don't see what the issue here is - if Linus is happy _and_
wants to resolve trivial merge conflicts then there's no problem here.
It's probably a good thing that Linus does see the conflict so he gets
to know that at least some ARM folk _are_ looking at common things
across all architectures.